## softhsm2 2.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(softhsm2 C CXX)

# Build Options
option(BUILD_TESTS "Compile tests along with libraries" OFF)
option(DISABLE_NON_PAGED_MEMORY "Disable non-paged memory for secure storage" OFF)
option(DISABLE_VISIBILITY "Disables and unsets -fvisibility=hidden" OFF)
option(ENABLE_64bit "Enable 64-bit compiling" OFF)
option(ENABLE_ECC "Enable support for ECC" ON)
option(ENABLE_EDDSA "Enable support for EDDSA" OFF)
option(ENABLE_GOST "Enable support for GOST" ON)
option(ENABLE_FIPS "Enable support for FIPS 140-2 mode" OFF)
option(ENABLE_P11_KIT "Enable p11-kit integration" ON)
option(ENABLE_PEDANTIC "Enable pedantic compile mode" OFF)
option(ENABLE_STRICT "Enable strict compile mode" ON)
option(ENABLE_SHARED "Build shared libraries" ON)
option(ENABLE_STATIC "Build static libraries" ON)
option(WITH_OBJECTSTORE_BACKEND_DB "Build with object store backend database (SQLite3)" OFF)
option(WITH_MIGRATE "Build migration tool. Requires SQLite3." OFF)
set(WITH_CRYPTO_BACKEND "openssl"
    CACHE STRING "Select crypto backend (openssl|botan)")
set(WITH_P11_KIT ""
    CACHE STRING "Specify install path of the p11-kit module, will override path given by pkg-config")

if(WITH_OBJECTSTORE_BACKEND_DB)
    set(HAVE_OBJECTSTORE_BACKEND_DB 1)
    set(WITH_MIGRATE ON)
    set(WITH_SQLITE3 ON)
    message(STATUS "Building with support for object store backend database")
else(WITH_OBJECTSTORE_BACKEND_DB)
    message(STATUS "Building with no support for object store backend database")
endif(WITH_OBJECTSTORE_BACKEND_DB)

if(WITH_MIGRATE)
    set(BUILD_MIGRATE ON)
    set(WITH_SQLITE3 ON)
    message(STATUS "Building with migration tool")
else(WITH_MIGRATE)
    message(STATUS "Building with no migration tool")
endif(WITH_MIGRATE)

if(NOT DEFINED CMAKE_INSTALL_SYSCONFDIR)
    set(CMAKE_INSTALL_SYSCONFDIR "/etc")
endif()
if(NOT DEFINED CMAKE_INSTALL_LOCALSTATEDIR)
    set(CMAKE_INSTALL_LOCALSTATEDIR "/var")
endif()
include(GNUInstallDirs)

set(DEFAULT_LOG_LEVEL "INFO"
    CACHE STRING "The default log level")
set(DEFAULT_OBJECTSTORE_BACKEND "file"
    CACHE STRING "Default storage backend for token objects")
set(DEFAULT_PKCS11_LIB "${CMAKE_INSTALL_FULL_LIBDIR}/softhsm/libsofthsm2.so"
    CACHE STRING "The default PKCS#11 library")
set(DEFAULT_SOFTHSM2_CONF "${CMAKE_INSTALL_FULL_SYSCONFDIR}/softhsm2.conf"
    CACHE STRING "The default location of softhsm.conf")
set(DEFAULT_TOKENDIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/softhsm/tokens/"
    CACHE STRING "The default location of the token directory")

set(MAX_PIN_LEN 255 CACHE STRING "Maximum PIN length")
set(MIN_PIN_LEN 4 CACHE STRING "Minimum PIN length")

set(VERSION "2.5.0")
set(VERSION_MAJOR 2)
set(VERSION_MINOR 5)
set(VERSION_PATCH 0)

set(PACKAGE "softhsm")
set(PACKAGE_BUGREPORT)
set(PACKAGE_NAME "SoftHSM")
set(PACKAGE_VERSION "${VERSION}")
set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set(PACKAGE_TARNAME "${PACKAGE}")
set(PACKAGE_URL)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Default build type for SoftHSMv2 project" FORCE)
endif(NOT CMAKE_BUILD_TYPE)

message(STATUS "Build Configuration: ${CMAKE_BUILD_TYPE}")

# Build Modules Path
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
                      ${CMAKE_SOURCE_DIR}/modules
                      )

# Custom Modules
include(CompilerOptions)
include(GenerateExportHeader)

# Enable CTest
enable_testing()

# config.h include path
include_directories(${CMAKE_BINARY_DIR})

add_subdirectory(src)

# p11-kit
set(default_softhsm2_lib ${DEFAULT_PKCS11_LIB})
configure_file(softhsm2.module.in softhsm2.module)
if(ENABLE_P11_KIT)
    install(FILES ${PROJECT_BINARY_DIR}/softhsm2.module
            DESTINATION ${P11KIT_PATH}
            )
endif(ENABLE_P11_KIT)

# Packaging
set(CPACK_PACKAGE_NAME ${PACKAGE_NAME})
set(CPACK_PACKAGE_VENDOR "OpenDNSSEC")
set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
set(CPACK_GENERATOR "TGZ")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_IGNORE_FILES "build/*;\.git/*")

include(CPack)

=== src/lib/CMakeLists.txt ===
###############################################################################
# Dependencies
###############################################################################
add_subdirectory(common)
add_subdirectory(crypto)
add_subdirectory(data_mgr)
add_subdirectory(handle_mgr)
add_subdirectory(object_store)
add_subdirectory(session_mgr)
add_subdirectory(slot_mgr)

###############################################################################
# SoftHSMv2 Config
###############################################################################
set(INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/common
                 ${CMAKE_CURRENT_SOURCE_DIR}/crypto
                 ${CMAKE_CURRENT_SOURCE_DIR}/data_mgr
                 ${CMAKE_CURRENT_SOURCE_DIR}/handle_mgr
                 ${CMAKE_CURRENT_SOURCE_DIR}/object_store
                 ${CMAKE_CURRENT_SOURCE_DIR}/pkcs11
                 ${CMAKE_CURRENT_SOURCE_DIR}/session_mgr
                 ${CMAKE_CURRENT_SOURCE_DIR}/slot_mgr
                 ${CRYPTO_INCLUDES}
                 )

include_directories(${INCLUDE_DIRS})

set(SOURCES access.cpp
            main.cpp
            P11Attributes.cpp
            P11Objects.cpp
            SoftHSM.cpp
            )

set(DEPENDENCIES softhsm_common-obj
                 softhsm_crypto-obj
                 softhsm_datamgr-obj
                 softhsm_handlemgr-obj
                 softhsm_objectstore-obj
                 softhsm_sessionmgr-obj
                 softhsm_slotmgr-obj
                 )

set(OBJECT_FILES $<TARGET_OBJECTS:softhsm_common-obj>
                 $<TARGET_OBJECTS:softhsm_crypto-obj>
                 $<TARGET_OBJECTS:softhsm_datamgr-obj>
                 $<TARGET_OBJECTS:softhsm_handlemgr-obj>
                 $<TARGET_OBJECTS:softhsm_objectstore-obj>
                 $<TARGET_OBJECTS:softhsm_sessionmgr-obj>
                 $<TARGET_OBJECTS:softhsm_slotmgr-obj>
                 )


###############################################################################
# Static Library Config
###############################################################################
add_library(${PROJECT_NAME}-static STATIC ${SOURCES} ${OBJECT_FILES})
add_dependencies(${PROJECT_NAME}-static ${DEPENDENCIES})
set_target_properties(${PROJECT_NAME}-static
                      PROPERTIES OUTPUT_NAME ${PROJECT_NAME}
                      )
generate_export_header(${PROJECT_NAME}-static)

###############################################################################
# Shared Library Config
###############################################################################
add_library(${PROJECT_NAME} SHARED ${SOURCES} ${OBJECT_FILES})
add_dependencies(${PROJECT_NAME} ${DEPENDENCIES})
generate_export_header(${PROJECT_NAME})

###############################################################################
# Tests
###############################################################################
if(BUILD_TESTS)
    add_subdirectory(test)
endif(BUILD_TESTS)

###############################################################################
# Install
###############################################################################
install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}-static
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/softhsm
        )

=== src/lib/common/CMakeLists.txt ===
project(softhsm_common)

set(INCLUDE_DIRS ${PROJECT_SOURCE_DIR}
                 ${PROJECT_SOURCE_DIR}/../crypto
                 ${PROJECT_SOURCE_DIR}/../data_mgr
                 ${PROJECT_SOURCE_DIR}/../pkcs11
                 )

set(SOURCES Configuration.cpp
            fatal.cpp
            log.cpp
            MutexFactory.cpp
            osmutex.cpp
            SimpleConfigLoader.cpp
            )

include_directories(${INCLUDE_DIRS})

add_library(${PROJECT_NAME}-obj OBJECT ${SOURCES})
add_library(${PROJECT_NAME} STATIC $<TARGET_OBJECTS:${PROJECT_NAME}-obj>)

set(softhsmtokendir ${DEFAULT_TOKENDIR})
set(default_softhsm2_conf ${CMAKE_INSTALL_FULL_SYSCONFDIR}/softhsm2.conf)
configure_file(softhsm2.conf.in ${PROJECT_BINARY_DIR}/etc/softhsm2.conf)
configure_file(softhsm2.conf.in ${PROJECT_BINARY_DIR}/etc/softhsm2.conf.sample)
configure_file(softhsm2.conf.5.in ${PROJECT_BINARY_DIR}/man5/softhsm2.conf.5)

install(CODE "
        if(NOT EXISTS ${CMAKE_INSTALL_SYSCONFDIR}/softhsm2.conf)
            file(INSTALL ${PROJECT_BINARY_DIR}/etc/softhsm2.conf
                 DESTINATION ${CMAKE_INSTALL_SYSCONFDIR})
        endif()
        ")

install(FILES ${PROJECT_BINARY_DIR}/etc/softhsm2.conf.sample
        DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}
        )

install(FILES ${PROJECT_BINARY_DIR}/man5/softhsm2.conf.5
        DESTINATION ${CMAKE_INSTALL_MANDIR}/man5
        )

install(DIRECTORY DESTINATION ${CMAKE_INSTALL_LOCALSTATEDIR}/lib/softhsm/tokens)

install(CODE
        "execute_process(
        COMMAND chmod 1777 ${CMAKE_INSTALL_LOCALSTATEDIR}/lib/softhsm/tokens)")

=== src/lib/crypto/CMakeLists.txt ===
project(softhsm_crypto)

set(INCLUDE_DIRS ${PROJECT_SOURCE_DIR}
                 ${PROJECT_SOURCE_DIR}/../common
                 ${PROJECT_SOURCE_DIR}/../data_mgr
                 ${PROJECT_SOURCE_DIR}/../pkcs11
                 ${CRYPTO_INCLUDES}
                 )

set(SOURCES AESKey.cpp
            AsymmetricAlgorithm.cpp
            AsymmetricKeyPair.cpp
            CryptoFactory.cpp
            DerUtil.cpp
            DESKey.cpp
            DHParameters.cpp
            DHPrivateKey.cpp
            DHPublicKey.cpp
            DSAParameters.cpp
            DSAPrivateKey.cpp
            DSAPublicKey.cpp
            ECParameters.cpp
            ECPrivateKey.cpp
            ECPublicKey.cpp
            EDPrivateKey.cpp
            EDPublicKey.cpp
            GOSTPrivateKey.cpp
            GOSTPublicKey.cpp
            HashAlgorithm.cpp
            MacAlgorithm.cpp
            RSAParameters.cpp
            RSAPrivateKey.cpp
            RSAPublicKey.cpp
            SymmetricAlgorithm.cpp
            SymmetricKey.cpp
            )

if(WITH_OPENSSL)
    list(APPEND SOURCES OSSLAES.cpp
                        OSSLCMAC.cpp
                        OSSLComp.cpp
                        OSSLCryptoFactory.cpp
                        OSSLDES.cpp
                        OSSLDH.cpp
                        OSSLDHKeyPair.cpp
                        OSSLDHPrivateKey.cpp
                        OSSLDHPublicKey.cpp
                        OSSLDSA.cpp
                        OSSLDSAKeyPair.cpp
                        OSSLDSAPrivateKey.cpp
                        OSSLDSAPublicKey.cpp
                        OSSLECDH.cpp
                        OSSLECDSA.cpp
                        OSSLECKeyPair.cpp
                        OSSLECPrivateKey.cpp
                        OSSLECPublicKey.cpp
                        OSSLEDDSA.cpp
                        OSSLEDKeyPair.cpp
                        OSSLEDPrivateKey.cpp
                        OSSLEDPublicKey.cpp
                        OSSLEVPCMacAlgorithm.cpp
                        OSSLEVPHashAlgorithm.cpp
                        OSSLEVPMacAlgorithm.cpp
                        OSSLEVPSymmetricAlgorithm.cpp
                        OSSLGOST.cpp
                        OSSLGOSTKeyPair.cpp
                        OSSLGOSTPrivateKey.cpp
                        OSSLGOSTPublicKey.cpp
                        OSSLGOSTR3411.cpp
                        OSSLHMAC.cpp
                        OSSLMD5.cpp
                        OSSLRNG.cpp
                        OSSLRSA.cpp
                        OSSLRSAKeyPair.cpp
                        OSSLRSAPrivateKey.cpp
                        OSSLRSAPublicKey.cpp
                        OSSLSHA1.cpp
                        OSSLSHA224.cpp
                        OSSLSHA256.cpp
                        OSSLSHA384.cpp
                        OSSLSHA512.cpp
                        OSSLUtil.cpp
                        )
endif(WITH_OPENSSL)

if(WITH_BOTAN)
    list(APPEND SOURCES BotanAES.cpp
                        BotanCryptoFactory.cpp
                        BotanDES.cpp
                        BotanDH.cpp
                        BotanDHKeyPair.cpp
                        BotanDHPrivateKey.cpp
                        BotanDHPublicKey.cpp
                        BotanDSA.cpp
                        BotanDSAKeyPair.cpp
                        BotanDSAPrivateKey.cpp
                        BotanDSAPublicKey.cpp
                        Botan_ecb.cpp
                        BotanECDH.cpp
                        BotanECDHKeyPair.cpp
                        BotanECDHPrivateKey.cpp
                        BotanECDHPublicKey.cpp
                        BotanECDSA.cpp
                        BotanECDSAKeyPair.cpp
                        BotanECDSAPrivateKey.cpp
                        BotanECDSAPublicKey.cpp
                        BotanEDDSA.cpp
                        BotanEDKeyPair.cpp
                        BotanEDPrivateKey.cpp
                        BotanEDPublicKey.cpp
                        BotanGOST.cpp
                        BotanGOSTKeyPair.cpp
                        BotanGOSTPrivateKey.cpp
                        BotanGOSTPublicKey.cpp
                        BotanGOSTR3411.cpp
                        BotanHashAlgorithm.cpp
                        BotanMacAlgorithm.cpp
                        BotanMAC.cpp
                        BotanMD5.cpp
                        BotanRNG.cpp
                        BotanRSA.cpp
                        BotanRSAKeyPair.cpp
                        BotanRSAPrivateKey.cpp
                        BotanRSAPublicKey.cpp
                        BotanSHA1.cpp
                        BotanSHA224.cpp
                        BotanSHA256.cpp
                        BotanSHA384.cpp
                        BotanSHA512.cpp
                        BotanSymmetricAlgorithm.cpp
                        BotanUtil.cpp
                        )
endif(WITH_BOTAN)

include_directories(${INCLUDE_DIRS})

add_library(${PROJECT_NAME}-obj OBJECT ${SOURCES})
add_library(${PROJECT_NAME} STATIC $<TARGET_OBJECTS:${PROJECT_NAME}-obj>)
target_link_libraries(${PROJECT_NAME} ${CRYPTO_LIBS})

if(BUILD_TESTS)
    add_subdirectory(test)
endif(BUILD_TESTS)

=== src/lib/data_mgr/CMakeLists.txt ===
project(softhsm_datamgr)

set(INCLUDE_DIRS ${PROJECT_SOURCE_DIR}
                 ${PROJECT_SOURCE_DIR}/../crypto
                 ${PROJECT_SOURCE_DIR}/../common
                 ${PROJECT_SOURCE_DIR}/../pkcs11
                 )

set(SOURCES ByteString.cpp
            RFC4880.cpp
            salloc.cpp
            SecureDataManager.cpp
            SecureMemoryRegistry.cpp
            )

include_directories(${INCLUDE_DIRS})

add_library(${PROJECT_NAME}-obj OBJECT ${SOURCES})
add_library(${PROJECT_NAME} STATIC $<TARGET_OBJECTS:${PROJECT_NAME}-obj>)

if(BUILD_TESTS)
    add_subdirectory(test)
endif(BUILD_TESTS)

=== src/lib/handle_mgr/CMakeLists.txt ===
project(softhsm_handlemgr)

set(INCLUDE_DIRS ${PROJECT_SOURCE_DIR}
                 ${PROJECT_SOURCE_DIR}/../common
                 ${PROJECT_SOURCE_DIR}/../crypto
                 ${PROJECT_SOURCE_DIR}/../data_mgr
                 ${PROJECT_SOURCE_DIR}/../object_store
                 ${PROJECT_SOURCE_DIR}/../pkcs11
                 ${PROJECT_SOURCE_DIR}/../slot_mgr
                 )

set(SOURCES HandleManager.cpp
            Handle.cpp
            )

include_directories(${INCLUDE_DIRS})

add_library(${PROJECT_NAME}-obj OBJECT ${SOURCES})
add_library(${PROJECT_NAME} STATIC $<TARGET_OBJECTS:${PROJECT_NAME}-obj>)

if(BUILD_TESTS)
    add_subdirectory(test)
endif(BUILD_TESTS)

=== src/lib/object_store/CMakeLists.txt ===
project(softhsm_objectstore)

set(INCLUDE_DIRS ${PROJECT_SOURCE_DIR}
                 ${PROJECT_SOURCE_DIR}/../common
                 ${PROJECT_SOURCE_DIR}/../crypto
                 ${PROJECT_SOURCE_DIR}/../data_mgr
                 ${PROJECT_SOURCE_DIR}/../pkcs11
                 ${SQLITE3_INCLUDES}
                 )

set(SOURCES Directory.cpp
            File.cpp
            FindOperation.cpp
            Generation.cpp
            ObjectFile.cpp
            ObjectStore.cpp
            ObjectStoreToken.cpp
            OSAttribute.cpp
            OSToken.cpp
            SessionObject.cpp
            SessionObjectStore.cpp
            UUID.cpp
            )

if(WITH_OBJECTSTORE_BACKEND_DB)
    list(APPEND SOURCES DB.cpp
                        DBObject.cpp
                        DBToken.cpp
                        )
endif(WITH_OBJECTSTORE_BACKEND_DB)


include_directories(${INCLUDE_DIRS})

add_library(${PROJECT_NAME}-obj OBJECT ${SOURCES})
add_library(${PROJECT_NAME} STATIC $<TARGET_OBJECTS:${PROJECT_NAME}-obj>)
target_link_libraries(${PROJECT_NAME} ${SQLITE3_LIBS})

if(BUILD_TESTS)
    add_subdirectory(test)
endif(BUILD_TESTS)

=== src/lib/session_mgr/CMakeLists.txt ===
project(softhsm_sessionmgr)

set(INCLUDE_DIRS ${PROJECT_SOURCE_DIR}
                 ${PROJECT_SOURCE_DIR}/../common
                 ${PROJECT_SOURCE_DIR}/../crypto
                 ${PROJECT_SOURCE_DIR}/../data_mgr
                 ${PROJECT_SOURCE_DIR}/../object_store
                 ${PROJECT_SOURCE_DIR}/../pkcs11
                 ${PROJECT_SOURCE_DIR}/../slot_mgr
                 )

set(SOURCES SessionManager.cpp
            Session.cpp
            )

include_directories(${INCLUDE_DIRS})

add_library(${PROJECT_NAME}-obj OBJECT ${SOURCES})
add_library(${PROJECT_NAME} STATIC $<TARGET_OBJECTS:${PROJECT_NAME}-obj>)

if(BUILD_TESTS)
    add_subdirectory(test)
endif(BUILD_TESTS)

=== src/lib/slot_mgr/CMakeLists.txt ===
project(softhsm_slotmgr)

set(INCLUDE_DIRS ${PROJECT_SOURCE_DIR}
                 ${PROJECT_SOURCE_DIR}/../common
                 ${PROJECT_SOURCE_DIR}/../crypto
                 ${PROJECT_SOURCE_DIR}/../data_mgr
                 ${PROJECT_SOURCE_DIR}/../object_store
                 ${PROJECT_SOURCE_DIR}/../pkcs11
                 ${PROJECT_SOURCE_DIR}/../session_mgr
                 )

set(SOURCES SlotManager.cpp
            Slot.cpp
            Token.cpp
            )

include_directories(${INCLUDE_DIRS})

add_library(${PROJECT_NAME}-obj OBJECT ${SOURCES})
add_library(${PROJECT_NAME} STATIC $<TARGET_OBJECTS:${PROJECT_NAME}-obj>)

if(BUILD_TESTS)
    add_subdirectory(test)
endif(BUILD_TESTS)

=== src/lib/test/CMakeLists.txt ===
project(p11test)

set(INCLUDE_DIRS ${PROJECT_SOURCE_DIR}
                 ${PROJECT_SOURCE_DIR}/..
                 ${PROJECT_SOURCE_DIR}/../common
                 ${PROJECT_SOURCE_DIR}/../pkcs11
                 ${CPPUNIT_INCLUDES}
                 )

set(SOURCES p11test.cpp
            SymmetricAlgorithmTests.cpp
            DigestTests.cpp
            InitTests.cpp
            InfoTests.cpp
            RandomTests.cpp
            SessionTests.cpp
            TokenTests.cpp
            UserTests.cpp
            ObjectTests.cpp
            DeriveTests.cpp
            SignVerifyTests.cpp
            AsymEncryptDecryptTests.cpp
            AsymWrapUnwrapTests.cpp
            TestsBase.cpp
            TestsNoPINInitBase.cpp
            ../common/log.cpp
            ../common/osmutex.cpp
            )

include_directories(${INCLUDE_DIRS})

add_executable(${PROJECT_NAME} ${SOURCES})
target_link_libraries(${PROJECT_NAME} softhsm2-static ${CRYPTO_LIBS} ${CPPUNIT_LIBS} ${SQLITE3_LIBS})
set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS -pthread)

add_test(NAME ${PROJECT_NAME} COMMAND ${PROJECT_NAME}
         WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
         )

set(builddir ${PROJECT_BINARY_DIR})
configure_file(softhsm2.conf.in softhsm2.conf)
configure_file(softhsm2-alt.conf.in softhsm2-alt.conf)
configure_file(tokens/dummy.in tokens/dummy)

## softhsm2 2.0.0

=== debian/changelog ===
softhsm2 (2.0.0-2ubuntu1) wily; urgency=medium

  * Fix ftbfs on arm64. Closes: #.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Oct 2015 10:18:16 +0200

softhsm2 (2.0.0-2) unstable; urgency=medium

  * Add missing Conflicts on libsofthsm-dev to libsofthsm2-dev (Closes: #796837)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 25 Aug 2015 13:11:52 +0200

softhsm2 (2.0.0-1) unstable; urgency=medium

  * Imported Upstream version 2.0.0

 -- Ondřej Surý <ondrej@debian.org>  Wed, 29 Jul 2015 09:30:01 +0200

softhsm2 (2.0.0~rc1-1) unstable; urgency=medium

  * Rename the package to softhsm2 to allow coinstallation with SoftHSM 1
  * Compile with OpenSSL backend

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Jun 2015 17:46:57 +0200

softhsm (1.3.7-2) unstable; urgency=medium

  * Fix softhsm-keyconv creating security-sensibe file world-readable
    (Closes: #752092)
  * Update Vcs-Urls to point to anonscm.debian.org
  * Standardize gbp repository layout

 -- Ondřej Surý <ondrej@debian.org>  Mon, 01 Dec 2014 17:52:05 +0100

softhsm (1.3.7-1) unstable; urgency=medium

  * New upstream version 1.3.7

 -- Ondřej Surý <ondrej@debian.org>  Sun, 01 Jun 2014 23:52:47 +0200

softhsm (1.3.6-1) unstable; urgency=medium

  * Don't enable 64-bit compilation (-m64) also on mips64(el)
    (Closes: #726280)
  * New upstream version 1.3.6
  * README doesn't exist anymore and install NEWS as upstream changelog

 -- Ondřej Surý <ondrej@debian.org>  Wed, 28 May 2014 14:19:36 +0200

softhsm (1.3.5-1) unstable; urgency=low

  * New upstream version 1.3.5

 -- Ondřej Surý <ondrej@debian.org>  Thu, 10 Oct 2013 12:51:41 +0200

softhsm (1.3.4-1) unstable; urgency=low

  * New upstream version 1.3.4
  * Update patches for 1.3.4 release
  * Start using dh-autoreconf

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 Sep 2013 08:52:54 +0200

softhsm (1.3.3-2) unstable; urgency=high

  * Don't install /etc/softhsm/softhsm.conf to softhsm package
    (Closes: #681311)
  * Add an empty /var/lib/softhsm directory to the softhsm-common
    package

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 Jul 2012 14:07:12 +0200

softhsm (1.3.3-1) unstable; urgency=low

  * Imported Upstream version 1.3.3
  * Update patches for new release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 May 2012 10:04:33 +0200

softhsm (1.3.2-1) unstable; urgency=low

  * Imported Upstream version 1.3.2

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Mar 2012 12:03:03 +0100

softhsm (1.3.1-3) unstable; urgency=low

  * Build softhsm-dbg package with debugging symbols

 -- Ondřej Surý <ondrej@debian.org>  Mon, 20 Feb 2012 14:37:31 +0100

softhsm (1.3.1-2) unstable; urgency=low

  * Add NEWS file about libsofthsm.so location change and depend on
    OpenDNSSEC version which has correct location in configuration
    (Closes: #659352)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Feb 2012 15:28:17 +0100

softhsm (1.3.1-1) unstable; urgency=low

  * Imported Upstream version 1.3.1
  * libraries have moved to /usr/lib/softhsm/
  * Install softhsm.conf.sample to examples

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Jan 2012 09:22:17 +0100

softhsm (1.3.0-1) unstable; urgency=low

  * Imported Upstream version 1.3.0
    + Can now read CKA_ALWAYS_AUTHENTICATE but does not use it.
    + Encryption and decryption using CKM_RSA_PKCS.
    + Support X.509 certificates. (Patch from Thomas Calderon)
    + Only a Security Officer can set CKA_TRUSTED to true.
    + The softhsm tool can set the value of CKA_TRUSTED.
    + Better signing performance with a single element cache for the PK_Signer object.
  * Update Vcs-* links
  * Use Botan 1.10 instead of Botan 1.8
  * Compile --with-pic to fix FTBFS with Botan

 -- Ondřej Surý <ondrej@debian.org>  Thu, 25 Aug 2011 16:05:55 +0200

softhsm (1.2.1-1) unstable; urgency=low

  * Imported Upstream version 1.2.1

 -- Ondřej Surý <ondrej@debian.org>  Tue, 10 May 2011 08:14:28 +0200

softhsm (1.2.0-3) unstable; urgency=low

  * Remove dpkg-statoverride entries first then remove group
    (Closes: #619810)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 10 Apr 2011 21:52:39 +0200

softhsm (1.2.0-2) unstable; urgency=low

  * Add LDFLAGS to configure call to remove useless linkage
  * softhsm should depend on libsofthsm (Closes: #602357)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 20 Mar 2011 13:26:58 +0100

softhsm (1.2.0-1) unstable; urgency=low

  * Imported Upstream version 1.2.0
  * Adjust patches to new upstream version

 -- Ondřej Surý <ondrej@debian.org>  Tue, 25 Jan 2011 11:10:03 +0100

softhsm (1.1.4-5) unstable; urgency=low

  * Disable --enable-64bit on alpha and ia64 (Closes: #598747)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Oct 2010 10:53:50 +0200

softhsm (1.1.4-4) unstable; urgency=low

  * Loosen build dependencies on dpkg-dev and libtool to allow
    backporting for lenny
  * Remove symbols file since it really doesn't work for C++ libs.
    (Closes: #584379)
  * Use groupadd instead of addgroup (Closes: #591596)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 Aug 2010 11:42:03 +0200

softhsm (1.1.4-3) unstable; urgency=low

  * softhsm-common now depend on ucf
  * libsofthsm-dev now depend on softhsm-common
  * Botan symbols starting with _Z prefix are now optional

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Apr 2010 13:57:35 +0200

softhsm (1.1.4-2) unstable; urgency=low

  * Add softhsm-common to create softhsm group in postinst and remove it
    in postinst
  * Install the docs just one time, link from other packages built from
    the same source

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Apr 2010 11:32:55 +0200

softhsm (1.1.4-1) unstable; urgency=low

  * New upstream version 1.1.4
    + libsofthsm doesn't carry version-info anymore, since it only 
      provides libpkcs11 interface (+ add lintian-overrides)
  * Install pkcs11.h from SCUTE project to /usr/include/softhsm/
  * Update libsofthsm.symbols to include all symbols
  * Export hardening on global level, add --with quilt to dh call



=== debian/control ===
Source: softhsm2
Section: admin
Priority: extra
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               libcppunit-dev,
               libsqlite3-dev (>= 3.4.2),
               libssl-dev,
               quilt (>= 0.46-7~),
               sqlite3
Standards-Version: 3.9.6
Homepage: https://www.opendnssec.org/softhsm/
Vcs-Browser: http://anonscm.debian.org/?p=pkg-nlnetlabs/softhsm2.git
Vcs-Git: git://anonscm.debian.org/pkg-nlnetlabs/softhsm2.git

Package: softhsm2-common
Architecture: any
Depends: ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Description: cryptographic store accessible through a PKCS #11
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 SoftHSM 2 is a software implementation of a generic cryptographic
 device with a PKCS #11 Cryptographic Token Interface.
 .
 This package contains command line tools.

Package: softhsm2
Architecture: any
Depends: libsofthsm2,
         softhsm2-common,
         ${misc:Depends},
         ${shlibs:Depends}
Description: cryptographic store accessible through a PKCS #11
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 SoftHSM 2 is a software implementation of a generic cryptographic
 device with a PKCS #11 Cryptographic Token Interface.
 .
 This package contains command line tools.

Package: libsofthsm2-dev
Section: libdevel
Architecture: any
Depends: libsofthsm2 (= ${binary:Version}),
         softhsm2-common,
         ${misc:Depends}
Conflicts: libsofthsm-dev
Description: cryptographic store accessible through a PKCS #11
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 SoftHSM 2 is a software implementation of a generic cryptographic
 device with a PKCS #11 Cryptographic Token Interface.
 .
 This package contains development library.  You will need external
 PKCS#11 header files.

Package: libsofthsm2
Section: libs
Architecture: any
Depends: softhsm2-common,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: softhsm2
Provides: libpkcs11
Breaks: opendnssec-common (<< 1.3.5-1~)
Description: cryptographic store accessible through a PKCS #11
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 SoftHSM 2 is a software implementation of a generic cryptographic
 device with a PKCS #11 Cryptographic Token Interface.
 .
 This package contains shared library.

Package: softhsm2-dbg
Architecture: any
Recommends: gdb
Section: debug
Priority: extra
Depends: libsofthsm2,
         softhsm2-common,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Debug symbols for SoftHSM 2
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 SoftHSM 2 is a software implementation of a generic cryptographic
 device with a PKCS #11 Cryptographic Token Interface.
 .
 This package contains debugging symbols for SoftHSM 2 needed for
 properly debugging errors in SoftHSM 2 with gdb.

=== debian/rules ===
#!/usr/bin/make -f

# To enable all, uncomment following line
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

SKIP_64BIT_ON_CPU="aarch64 alpha ia64 mips64 mips64el"

ifeq ($(DEB_HOST_ARCH_BITS),64)
  # -m64 is not recognized on most architectures
  ifeq (,$(findstring $(DEB_HOST_GNU_CPU),$(SKIP_64BIT_ON_CPU)))
    CONFIGURE_FLAGS = --enable-64bit
  endif
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	  --sysconfdir=/etc/softhsm \
	  --localstatedir=/var \
	  --with-crypto-backend=openssl \
	  --with-botan=/usr \
	  --with-migrate \
	  --with-pic \
	  $(CONFIGURE_FLAGS)

override_dh_makeshlibs:
	# Fail only if symbols have disappeared
	dh_makeshlibs -- -c1

override_dh_strip:
	dh_strip --dbg-package=softhsm2-dbg

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	dh_install -X.la -X.sample --fail-missing

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc|pre|dev|b|a)\d*)$/$1~$2/ \
https://dist.opendnssec.org/source/testing/softhsm-(2.*)\.tar\.gz

## softhsm2 2.1.0

=== debian/changelog ===
softhsm2 (2.1.0-3) unstable; urgency=medium

  [ Edmund Grimley Evans ]
  * Fix FTBFS on arm64

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Apr 2016 12:46:51 +0200

softhsm2 (2.1.0-2) unstable; urgency=medium

  * Kill dbg packages
  * Put libsofthsm2.so back to non-MA /usr/lib to allow easy usage
    in other applications.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 07 Apr 2016 00:17:33 +0200

softhsm2 (2.1.0-1) unstable; urgency=medium

  * Imported Upstream version 2.1.0
  * Rebuild patches using gbp pq

 -- Ondřej Surý <ondrej@debian.org>  Wed, 06 Apr 2016 22:03:04 +0200

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

SKIP_64BIT_ON_CPU="aarch64 alpha ia64 mips64 mips64el"

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

ifeq ($(DEB_HOST_ARCH_BITS),64)
  # -m64 is not recognized on most architectures
  ifeq (,$(findstring $(DEB_HOST_GNU_CPU),$(SKIP_64BIT_ON_CPU)))
    CONFIGURE_FLAGS = --enable-64bit
  endif
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	  --sysconfdir=/etc/softhsm \
	  --localstatedir=/var \
	  --libdir=/usr/lib \
	  --with-crypto-backend=openssl \
	  --with-migrate \
	  --with-pic \
	  $(CONFIGURE_FLAGS)

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	install -m 0755 -d $(CURDIR)/debian/tmp/usr/include/softhsm/
	install -m 0644 $(CURDIR)/src/lib/cryptoki_compat/pkcs11.h $(CURDIR)/debian/tmp/usr/include/softhsm/
	dh_install -X.la -X.sample --fail-missing

## softhsm2 2.2.0~rc1

=== debian/changelog ===
softhsm2 (2.2.0~rc1-2) unstable; urgency=medium

  [ Rickard Bellgrim ]
  * Fix p11test failing on 32-bit systems.

 -- Ondřej Surý <ondrej@debian.org>  Sat, 12 Nov 2016 01:58:22 +0100

softhsm2 (2.2.0~rc1-1) unstable; urgency=medium

  * Imported Upstream version 2.2.0~rc1
   + OpenSSL 1.1.0 support (Closes: #828551)
  * Disable GOST support due OpenSSL 1.1.0

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Nov 2016 22:17:08 +0100

## softhsm2 2.2.0~rc2

=== debian/changelog ===
softhsm2 (2.2.0~rc2-1) unstable; urgency=medium

  * Move the package under pkg-dns
  * Imported Upstream version 2.2.0~rc2
  * 32-bit patch has been merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Nov 2016 21:37:05 +0100

## softhsm2 2.2.0

=== debian/changelog ===
softhsm2 (2.2.0-3.1) unstable; urgency=medium

  [Tobias Frost ]
  * Non-maintainer upload.
  * Import patch from Rene from the BTS.
  * Lintian warning fixed:
    - Fix VCS-* links in d/control ("right" URL and using https)
    - As package priority extra is obsolete, change it to optional.
      This fixed transitional-package-should-be-oldlibs-optional and
      priority-extra-is-replaced-by-priority-optional.
    - Add debhelper-but-no-misc-depends also to the transitional packages

  [ Rene Engelhard ]
  * use pkg-config instead of cppunit-config for cppunit (Closes: #868855)

 -- Tobias Frost <tobi@debian.org>  Sun, 22 Oct 2017 13:41:11 +0200

softhsm2 (2.2.0-3) unstable; urgency=medium

  * Replace doc symlink with directory in transitional softhsm package
    (Closes: #854858)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 12 Feb 2017 15:12:33 +0100

softhsm2 (2.2.0-2) unstable; urgency=medium

  [ Mike Miller ]
  * Install PKCS#11 module configuration file for p11-kit
    (Closes: #849158)

  [ Ondřej Surý ]
  * Remove spurious /usr/share/doc/softhsm symlink (Closes: #849624)
  * Switch to automatic dbgsym packages
  * Introduce dummy softhsm-common and softhsm packages to circumvent
    around softhsm-common postinst that removes softhsm user and breaks
    softhsm2 (Closes: #847117)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Jan 2017 15:51:50 +0100

softhsm2 (2.2.0-1) unstable; urgency=medium

  * Imported Upstream version 2.2.0

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Dec 2016 13:55:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: softhsm2
 Section: admin
-Priority: extra
-Maintainer: Ondřej Surý <ondrej@debian.org>
+Priority: optional
+Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
                libcppunit-dev,
+               libp11-kit-dev,
                libsqlite3-dev (>= 3.4.2),
                libssl-dev,
+               pkg-config,
                quilt (>= 0.46-7~),
                sqlite3
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://www.opendnssec.org/softhsm/
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-nlnetlabs/softhsm2.git
-Vcs-Git: git://anonscm.debian.org/pkg-nlnetlabs/softhsm2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-dns/softhsm2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-dns/softhsm2.git
 
 Package: softhsm2-common
 Architecture: any
@@ -29,7 +32,7 @@
  SoftHSM 2 is a software implementation of a generic cryptographic
  device with a PKCS #11 Cryptographic Token Interface.
  .
- This package contains command line tools.
+ This package contains common files shared between enforcer and signer.
 
 Package: softhsm2
 Architecture: any
@@ -87,23 +90,23 @@
  .
  This package contains shared library.
 
-Package: softhsm2-dbg
-Architecture: any
-Recommends: gdb
-Section: debug
-Priority: extra
-Depends: libsofthsm2,
-         softhsm2-common,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Debug symbols for SoftHSM 2
- OpenDNSSEC is a complete DNSSEC zone signing system which is very
- easy to use with stability and security in mind.  There are a lot of
- details in signing zone files with DNSSEC and OpenDNSSEC covers most
- of it.
- .
+Package: softhsm
+Section: oldlibs
+Pre-Depends: ${misc:Pre-Depends}
+Depends: softhsm2, ${misc:Depends}
+Architecture: all
+Description: cryptographic store accessible through a PKCS #11 (dummy)
  SoftHSM 2 is a software implementation of a generic cryptographic
  device with a PKCS #11 Cryptographic Token Interface.
  .
- This package contains debugging symbols for SoftHSM 2 needed for
- properly debugging errors in SoftHSM 2 with gdb.
+ This is a transitional package and can be safely removed.
+
+Package: softhsm-common
+Section: oldlibs
+Architecture: all
+Depends: softhsm2-common, ${misc:Depends}
+Description: cryptographic store accessible through a PKCS #11 (dummy)
+ SoftHSM 2 is a software implementation of a generic cryptographic
+ device with a PKCS #11 Cryptographic Token Interface.
+ .
+ This is a transitional package and can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,7 @@
 	  --with-crypto-backend=openssl \
 	  --with-migrate \
 	  --with-pic \
+	  --disable-gost \
 	  $(CONFIGURE_FLAGS)
 
 override_dh_installchangelogs:
@@ -47,3 +48,6 @@
 	install -m 0755 -d $(CURDIR)/debian/tmp/usr/include/softhsm/
 	install -m 0644 $(CURDIR)/src/lib/cryptoki_compat/pkcs11.h $(CURDIR)/debian/tmp/usr/include/softhsm/
 	dh_install -X.la -X.sample --fail-missing
+
+override_dh_strip:
+	dh_strip -O--dbgsym-migration='softhsm2-dbg (<< 2.2.0-2~)'

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc|pre|dev|b|a)\d*)$/$1~$2/ \
https://dist.opendnssec.org/source/softhsm-(2.*)\.tar\.gz

## softhsm2 2.2.0-3.1build1+8.0trisquel1

=== debian/changelog ===
softhsm2 (2.2.0-3.1build1+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 08 Oct 2018 22:59:12 +0000

softhsm2 (2.2.0-3.1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:53:57 +0000

## softhsm2 2.4.0

=== debian/changelog ===
softhsm2 (2.4.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release, and remove non-needed patch.
  * Move to salsa.debian.org.
  * Add mipsisa64r6 and mipsisa64r6el to skip_64 bit archs. (Closes: #883695)
  * Create "tokens" under /var/lib/softhsm. (Closes: #863989)
  * Conflicts with old softhsm-common to ensure
    softhsm-common removed first. (Closes: #836886)
  * Install libraries into multiarch libdir, and keep a link under /usr/lib.
    We may need some time to finish this migration.
  * Remove quilt from build-depends, not needed now.
  * Bump standard verion to 4.1.3.

 -- YunQiang Su <syq@debian.org>  Sun, 25 Mar 2018 09:28:48 +0800

softhsm2 (2.2.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add riscv64 to SKIP_64BIT_ON_CPU in d/rules (Closes: #892560)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 10 Mar 2018 17:46:43 +0100

=== debian/control ===
--- 
+++ 
@@ -11,18 +11,18 @@
                libsqlite3-dev (>= 3.4.2),
                libssl-dev,
                pkg-config,
-               quilt (>= 0.46-7~),
                sqlite3
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://www.opendnssec.org/softhsm/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-dns/softhsm2.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-dns/softhsm2.git
+Vcs-Browser: https://salsa.debian.org/debian/softhsm2
+Vcs-Git: https://salsa.debian.org/debian/softhsm2.git
 
 Package: softhsm2-common
 Architecture: any
 Depends: ucf,
          ${misc:Depends},
          ${shlibs:Depends}
+Conflicts: softhsm-common (<< 2.0)
 Description: cryptographic store accessible through a PKCS #11
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
  easy to use with stability and security in mind.  There are a lot of

## softhsm2 2.5.0

=== debian/changelog ===
softhsm2 (2.5.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:58:17 +0100

softhsm2 (2.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Ondřej Surý ]
  * Update the Maintainer team to dns-team (Closes: #899949)
  * New upstream version 2.5.0

 -- Ondřej Surý <ondrej@debian.org>  Sat, 02 Mar 2019 14:21:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: softhsm2
 Section: admin
 Priority: optional
-Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
+Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-SKIP_64BIT_ON_CPU="aarch64 alpha ia64 mips64 mips64el"
+SKIP_64BIT_ON_CPU="aarch64 alpha ia64 mips64 mips64el riscv64 mipsisa64r6 mipsisa64r6el"
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL=4
 
@@ -34,7 +34,6 @@
 	dh_auto_configure -- \
 	  --sysconfdir=/etc/softhsm \
 	  --localstatedir=/var \
-	  --libdir=/usr/lib \
 	  --with-crypto-backend=openssl \
 	  --with-migrate \
 	  --with-pic \
@@ -46,8 +45,15 @@
 
 override_dh_install:
 	install -m 0755 -d $(CURDIR)/debian/tmp/usr/include/softhsm/
-	install -m 0644 $(CURDIR)/src/lib/cryptoki_compat/pkcs11.h $(CURDIR)/debian/tmp/usr/include/softhsm/
-	dh_install -X.la -X.sample --fail-missing
+	install -m 0644 $(CURDIR)/src/lib/pkcs11/*.h $(CURDIR)/debian/tmp/usr/include/softhsm/
+	find $(CURDIR)/debian/tmp -name *.la | xargs rm -f
+	dh_install
+
+override_dh_link:
+	#FIXME when all packages know that we have move to multiarch libdir, we cannot remove this symlink
+	#While I have no idea when we can finish this.
+	dh_link -plibsofthsm2 usr/lib/$(DEB_HOST_MULTIARCH)/softhsm/libsofthsm2.so usr/lib/softhsm/libsofthsm2.so
+	dh_link
 
 override_dh_strip:
 	dh_strip -O--dbgsym-migration='softhsm2-dbg (<< 2.2.0-2~)'
